Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Interface ISynchronizeScope

All Known Implementing Classes:
  AbstractSynchronizeScope

public interface ISynchronizeScope

A synchronize scope defines the set of resources involved in a synchronization. Instance of this interface are used to scope the resources of a created `SubscriberParticipant`.

This interface is not intended to be implemented by clients

Since:
  3.0
See Also:
  `SubscriberParticipant`

Field Summary
`static String` | `ROOTS` Property used to indicate when the roots of the scope have changed.

Method Summary
`void` | `addPropertyChangeListener(IPropertyChangeListener listener)` Add a propety change listener that will get invoked when a property of the reciever cnahges.
`void` | `dispose()` Dispose of the scope when it is no longer needed.
`String` | `getName()` Return the name of the scope
`IResource[]` | `getRoots()` Return the root resources that define this scope.
`void` | `removePropertyChangeListener(IPropertyChangeListener listener)` Remove a propety change listener.

Field Detail

### ROOTS

    public static final String ROOTS

  Property used to indicate when the roots of the scope have changed.

  See Also:
    Constant Field Values

Method Detail

### getName

    public String getName()

  Return the name of the scope

  Returns:
    the name of the scope

### getRoots

    public IResource[] getRoots()

  Return the root resources that define this scope. A return value of `null` indicates that the participant should use its default set of resources.

  Returns:
    the root resources of `null`

### addPropertyChangeListener

    public void addPropertyChangeListener(IPropertyChangeListener listener)

  Add a propety change listener that will get invoked when a property of the reciever cnahges.

  Parameters:
    `listener` -

### removePropertyChangeListener

    public void removePropertyChangeListener(IPropertyChangeListener listener)

  Remove a propety change listener. Removing an unregistered listener has no effect.

  Parameters:
    `listener` -

### dispose

    public void dispose()

  Dispose of the scope when it is no longer needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.